package com.zjrs.ggfw.rlzysc.dto.grzxjlxx;

import org.hibernate.validator.constraints.Length;

import jakarta.validation.constraints.NotBlank;

public class GrqzWdjlQzyxDTO {

    @NotBlank(message = "简历信息流水号不能为空")
    private String rsrlzyjlxxlsh;//简历信息流水号

    public String getRsrlzyjlxxlsh() {
        return rsrlzyjlxxlsh;
    }

    public void setRsrlzyjlxxlsh(String rsrlzyjlxxlsh) {
        this.rsrlzyjlxxlsh = rsrlzyjlxxlsh;
    }

    private String rsrlzyqzyxlsh;//求职意向流水号
//    private String jlmc;//简历名称
    private String qzzlx;//求职者类型
    @NotBlank(message = "目前状况不能为空")
    private String mqzk;//目前状况
    @NotBlank(message = "工作地点不能为空")
    private String gzdd;//工作地点
    private String gzxz;//工作性质
    @NotBlank(message = "期望薪资不能为空")
    private String qwxz;//期望薪资
    @NotBlank(message = "期望职位不能为空")
    @Length(max = 25,message = "期望职位最多只能输入25个字符或汉字")
    private String qwzw;//期望职位
    @NotBlank(message = "期望行业不能为空")
    private String qwhy;//期望行业
    private String gznx;//工作年限
    private String wyyz;//外语语种
    private String wysp;//外语水平
    @Length(max = 1000,message = "期望职位最多只能输入1000个字符或汉字")
    private String zwjs;//自我介绍

    private String jlssr;

    private String ly;//保存数据来源，用于区分是录入还是复制

    public String getLy() {
        return ly;
    }

    public void setLy(String ly) {
        this.ly = ly;
    }

    public String getJlssr() {
        return jlssr;
    }

    public void setJlssr(String jlssr) {
        this.jlssr = jlssr;
    }

    public String getRsrlzyqzyxlsh() {
        return rsrlzyqzyxlsh;
    }

    public void setRsrlzyqzyxlsh(String rsrlzyqzyxlsh) {
        this.rsrlzyqzyxlsh = rsrlzyqzyxlsh;
    }

//    public String getJlmc() {
//        return jlmc;
//    }
//
//    public void setJlmc(String jlmc) {
//        this.jlmc = jlmc;
//    }

    public String getQzzlx() {
        return qzzlx;
    }

    public void setQzzlx(String qzzlx) {
        this.qzzlx = qzzlx;
    }

    public String getMqzk() {
        return mqzk;
    }

    public void setMqzk(String mqzk) {
        this.mqzk = mqzk;
    }

    public String getGzdd() {
        return gzdd;
    }

    public void setGzdd(String gzdd) {
        this.gzdd = gzdd;
    }

    public String getGzxz() {
        return gzxz;
    }

    public void setGzxz(String gzxz) {
        this.gzxz = gzxz;
    }

    public String getQwxz() {
        return qwxz;
    }

    public void setQwxz(String qwxz) {
        this.qwxz = qwxz;
    }

    public String getQwzw() {
        return qwzw;
    }

    public void setQwzw(String qwzw) {
        this.qwzw = qwzw;
    }

    public String getQwhy() {
        return qwhy;
    }

    public void setQwhy(String qwhy) {
        this.qwhy = qwhy;
    }

    public String getGznx() {
        return gznx;
    }

    public void setGznx(String gznx) {
        this.gznx = gznx;
    }

    public String getWyyz() {
        return wyyz;
    }

    public void setWyyz(String wyyz) {
        this.wyyz = wyyz;
    }

    public String getWysp() {
        return wysp;
    }

    public void setWysp(String wysp) {
        this.wysp = wysp;
    }

    public String getZwjs() {
        return zwjs;
    }

    public void setZwjs(String zwjs) {
        this.zwjs = zwjs;
    }
}

